Subject: lots of cpu time spent in skb_copy_bits() in net-next with small mtu

From: Benjamin LaHaise <[email-masked]>
Date: Fri, 12 Jun 2009 12:13:20 -0400

Hi folks,

Just a heads up: something in net-next is resulting in lots of cpu time 
being spent in skb_copy_bits() (called from tcp_collapse()) when an ethernet 
interface mtu is lowered to 576 on the source and dest machines running 
netperf.  This behaviour does not appear in 2.6.29.  I'll try to bisect 
it this weekend.

		-ben